<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: bottomSurface.hh Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('bottom_surface_8hh_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">bottomSurface.hh</div>  </div>
</div><!--header-->
<div class="contents">
<a href="bottom_surface_8hh.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="shape_8hh.html">shape.hh</a>&quot;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classbottom_surface.html">   13</a></span>&#160;<span class="keyword">class </span><a class="code" href="classbottom_surface.html">bottomSurface</a> : <span class="keyword">public</span> <a class="code" href="class_shape.html">Shape</a> {</div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classbottom_surface.html#ac7cfddbccf04484d5596f8faf022b65a">   17</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="classbottom_surface.html#ac7cfddbccf04484d5596f8faf022b65a">kBottomModel_</a> = <span class="stringliteral">&quot;solid/bottomSurfaceModel.dat&quot;</span>;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classbottom_surface.html#a97a989188260b0e0fe1337b6aa35aa1c">   22</a></span>&#160;    std::vector&lt;Vector3D&gt; <a class="code" href="classbottom_surface.html#a97a989188260b0e0fe1337b6aa35aa1c">bottom_</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classbottom_surface.html#a2413008985afac8f1ffb543c7b4887e1">   28</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="classbottom_surface.html#a2413008985afac8f1ffb543c7b4887e1">kBottomSurfaceFile_</a> = <span class="stringliteral">&quot;solid/bottomSurface.dat&quot;</span>;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classbottom_surface.html#a766b91bc71e21a06662f6898c061904b">   33</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">double</span> <a class="code" href="classbottom_surface.html#a766b91bc71e21a06662f6898c061904b">bottomLevel_</a> = -200;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="classbottom_surface.html#a0ce3f995ccb6c47d41765aa99c3a45b6">bottomSurface</a>();</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classbottom_surface.html#a7c678c8506432177596e44c65a390492">   48</a></span>&#160;    <a class="code" href="classbottom_surface.html#a7c678c8506432177596e44c65a390492">~bottomSurface</a>() { <a class="code" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a> -= <a class="code" href="classbottom_surface.html#a97a989188260b0e0fe1337b6aa35aa1c">bottom_</a>.size(); }</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classbottom_surface.html#abd43b419dc9f833e96fc5b7f6674b39b">draw</a>(<span class="keyword">const</span> std::string &amp;filename) <span class="keyword">const override</span>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classbottom_surface.html#af8a576c98ebe7bbd0b921eb4d09b4594">   59</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classbottom_surface.html#af8a576c98ebe7bbd0b921eb4d09b4594">getCollisionInformation</a>()<span class="keyword"> const override </span>{</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        std::cerr &lt;&lt; std::endl;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        std::cerr &lt;&lt; <span class="stringliteral">&quot;\tSTOP! The drone was stopped before touching the bottom&quot;</span> &lt;&lt; std::endl;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    }</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    [[nodiscard]] <span class="keywordtype">bool</span> <a class="code" href="classbottom_surface.html#a0f59d969e5fa357dbed89a3a15519a2c">checkCollision</a>(<span class="keyword">const</span> std::vector&lt;Vector3D&gt; &amp;droneCover) <span class="keyword">const override</span>;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;};</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ashape_8hh_html"><div class="ttname"><a href="shape_8hh.html">shape.hh</a></div></div>
<div class="ttc" id="aclassbottom_surface_html"><div class="ttname"><a href="classbottom_surface.html">bottomSurface</a></div><div class="ttdoc">Models the concept of the ground surface.</div><div class="ttdef"><b>Definition:</b> <a href="bottom_surface_8hh_source.html#l00013">bottomSurface.hh:13</a></div></div>
<div class="ttc" id="aclassbottom_surface_html_a766b91bc71e21a06662f6898c061904b"><div class="ttname"><a href="classbottom_surface.html#a766b91bc71e21a06662f6898c061904b">bottomSurface::bottomLevel_</a></div><div class="ttdeci">const double bottomLevel_</div><div class="ttdoc">Variable containing bottom surface level.</div><div class="ttdef"><b>Definition:</b> <a href="bottom_surface_8hh_source.html#l00033">bottomSurface.hh:33</a></div></div>
<div class="ttc" id="aclassbottom_surface_html_a2413008985afac8f1ffb543c7b4887e1"><div class="ttname"><a href="classbottom_surface.html#a2413008985afac8f1ffb543c7b4887e1">bottomSurface::kBottomSurfaceFile_</a></div><div class="ttdeci">const std::string kBottomSurfaceFile_</div><div class="ttdoc">Result file for saving the bottom surface coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="bottom_surface_8hh_source.html#l00028">bottomSurface.hh:28</a></div></div>
<div class="ttc" id="aclassbottom_surface_html_af8a576c98ebe7bbd0b921eb4d09b4594"><div class="ttname"><a href="classbottom_surface.html#af8a576c98ebe7bbd0b921eb4d09b4594">bottomSurface::getCollisionInformation</a></div><div class="ttdeci">void getCollisionInformation() const override</div><div class="ttdoc">Displays error message, that in the next step will be collision with bottom.</div><div class="ttdef"><b>Definition:</b> <a href="bottom_surface_8hh_source.html#l00059">bottomSurface.hh:59</a></div></div>
<div class="ttc" id="aclassbottom_surface_html_a97a989188260b0e0fe1337b6aa35aa1c"><div class="ttname"><a href="classbottom_surface.html#a97a989188260b0e0fe1337b6aa35aa1c">bottomSurface::bottom_</a></div><div class="ttdeci">std::vector&lt; Vector3D &gt; bottom_</div><div class="ttdoc">Set of bottom coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="bottom_surface_8hh_source.html#l00022">bottomSurface.hh:22</a></div></div>
<div class="ttc" id="aclassbottom_surface_html_a0f59d969e5fa357dbed89a3a15519a2c"><div class="ttname"><a href="classbottom_surface.html#a0f59d969e5fa357dbed89a3a15519a2c">bottomSurface::checkCollision</a></div><div class="ttdeci">bool checkCollision(const std::vector&lt; Vector3D &gt; &amp;droneCover) const override</div><div class="ttdoc">Checks if in the next step of movement will be collision with the bottom.</div><div class="ttdef"><b>Definition:</b> <a href="bottom_surface_8cpp_source.html#l00046">bottomSurface.cpp:46</a></div></div>
<div class="ttc" id="aclass_shape_html"><div class="ttname"><a href="class_shape.html">Shape</a></div><div class="ttdoc">Models the concept of the geometric object.</div><div class="ttdef"><b>Definition:</b> <a href="shape_8hh_source.html#l00012">shape.hh:12</a></div></div>
<div class="ttc" id="aclass_shape_html_aa807a43b362e4ef73df68fe95813ec4a"><div class="ttname"><a href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">Shape::currentCounter_</a></div><div class="ttdeci">static unsigned currentCounter_</div><div class="ttdoc">Number of current Vector3D objects.</div><div class="ttdef"><b>Definition:</b> <a href="shape_8hh_source.html#l00040">shape.hh:40</a></div></div>
<div class="ttc" id="aclassbottom_surface_html_a7c678c8506432177596e44c65a390492"><div class="ttname"><a href="classbottom_surface.html#a7c678c8506432177596e44c65a390492">bottomSurface::~bottomSurface</a></div><div class="ttdeci">~bottomSurface()</div><div class="ttdoc">Destructor for bottomSurface class.</div><div class="ttdef"><b>Definition:</b> <a href="bottom_surface_8hh_source.html#l00048">bottomSurface.hh:48</a></div></div>
<div class="ttc" id="aclassbottom_surface_html_abd43b419dc9f833e96fc5b7f6674b39b"><div class="ttname"><a href="classbottom_surface.html#abd43b419dc9f833e96fc5b7f6674b39b">bottomSurface::draw</a></div><div class="ttdeci">void draw(const std::string &amp;filename) const override</div><div class="ttdoc">Saves the bottom coordinates to a result file.</div><div class="ttdef"><b>Definition:</b> <a href="bottom_surface_8cpp_source.html#l00026">bottomSurface.cpp:26</a></div></div>
<div class="ttc" id="aclassbottom_surface_html_ac7cfddbccf04484d5596f8faf022b65a"><div class="ttname"><a href="classbottom_surface.html#ac7cfddbccf04484d5596f8faf022b65a">bottomSurface::kBottomModel_</a></div><div class="ttdeci">const std::string kBottomModel_</div><div class="ttdoc">File containing the bottom coordinates model.</div><div class="ttdef"><b>Definition:</b> <a href="bottom_surface_8hh_source.html#l00017">bottomSurface.hh:17</a></div></div>
<div class="ttc" id="aclassbottom_surface_html_a0ce3f995ccb6c47d41765aa99c3a45b6"><div class="ttname"><a href="classbottom_surface.html#a0ce3f995ccb6c47d41765aa99c3a45b6">bottomSurface::bottomSurface</a></div><div class="ttdeci">bottomSurface()</div><div class="ttdoc">Constructor for bottomSurface class.</div><div class="ttdef"><b>Definition:</b> <a href="bottom_surface_8cpp_source.html#l00005">bottomSurface.cpp:5</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="bottom_surface_8hh.html">bottomSurface.hh</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
